Get an email
curl --request GET \
--url https://{dsn}/api/v1/emails/{email_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{dsn}/api/v1/emails/{email_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{dsn}/api/v1/emails/{email_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/examples/Email/value"
}{
"status": 401,
"type": "errors/unauthorized",
"title": "Unauthorized",
"detail": "missing or invalid API key"
}{
"status": 404,
"type": "errors/not_found",
"title": "Not found",
"detail": "email email_94a0d77db739407e932c3b97fef44aac not found"
}Emails
Get an email
Returns one email with its body, recipients, folders and attachments.
GET
/
emails
/
{email_id}
Get an email
Authorizations
Your access token, from your dashboard under API keys.
Path Parameters
The email's email_… id.
Query Parameters
Add every header (headers).
Response
The email.
Available options:
Email, Draft email_…; stays the same when the email moves.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
INBOX, SENT, DRAFTS, TRASH, SPAM, ARCHIVE, ALL, IMPORTANT, STARRED, UNKNOWN Show child attributes
Show child attributes
api: sent through this API.
Available options:
api, external Open/click tracking of this email (trk_…).
Drafts only.
Show child attributes
Show child attributes